%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	CD ripping tool using GTK+ and GStreamer
Name:		sound-juicer
Version:	3.5.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://www.burtonini.com/blog/computers/sound-juicer
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libbrasero-media3)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libmusicbrainz5)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
#for autogen.sh
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
Requires(post):	scrollkeeper
Requires(postun):	scrollkeeper
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-cdparanoia
Suggests:	gstreamer1.0-vorbis
Suggests:	gstreamer1.0-flac
Suggests:	gstreamer1.0-lame
Suggests:	gstreamer1.0-faac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-scrollkeeper \
	--disable-schemas-install
%make

%install
%makeinstall_std 

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/%{name}/%{name}-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/omf/%{name}/
%{_datadir}/omf/%{name}/%{name}-C.omf


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.5.0-4.mga3
+ Revision: 382354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 3.5.0-3.mga3
+ Revision: 324473
- update RPM group

* Wed Sep 05 2012 ovitters <ovitters> 3.5.0-2.mga3
+ Revision: 288329
- drop requires on gstreamer1.0-gnomevfs

* Tue Sep 04 2012 ovitters <ovitters> 3.5.0-1.mga3
+ Revision: 288146
- br libmusicbrainz5
- br gstreamer 1.0
- drop merged patch
- new version 3.5.0

* Mon Jun 04 2012 fwang <fwang> 3.4.0-2.mga3
+ Revision: 253918
- use musicbrainz4

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga3
+ Revision: 227192
- new version 3.4.0

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212239
- new version 3.3.90
- clean BRs
- add patch to fix build with dbus
- drop old patches
- clean .spec

  + ovitters <ovitters>
    - clean spec

* Wed Jun 15 2011 dmorgan <dmorgan> 2.32.0-3.mga2
+ Revision: 107969
- Fix buildrequires
- Disable buildrequire
- Enable gtK3 build
  Add fedora patches to fix build
- Enable Gtk3 switch
- Rebuild against new brasero

* Mon Feb 28 2011 eandry <eandry> 2.32.0-1.mga1
+ Revision: 61840
- clean spec
- imported package sound-juicer

